View Issue Details

IDProjectCategoryView StatusLast Update
17040Bug reports_ Unknownpublic2021-03-15 15:37
Reporterfajardas Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.4.0 
Summary17040: Question editor buttons dont appear and the button general settings "pull right " save the survey... dont pull right...
DescriptionIn Question editor, the buttons don't appear "HTML Editor" and in the button general settings, "pull right", save the survey... don't pull right.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.4.0+210129
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-Version8.0.18 - MySQL Community Server
Server OS (if known)Windows 10
Webserver software & version (if known)
PHP Version7.3.13

Relationships

related to 17088 new Question editor button general settings "pull right " save the survey... dont pull right... 

Activities

fajardas

fajardas

2021-02-01 10:59

reporter  

cdorin

cdorin

2021-02-01 11:20

manager   ~61836

@gabrieljenik : for HTML editor, the issue is caused by the HTML Editor settings from Global Settings - can you please make sure that the HTML Editor option is enabled by default when creating new LS4 installations?
What would be the solution for the people that upgrade to LS4.4.0 from LS3 and LS4.3 ?
gabrieljenik

gabrieljenik

2021-02-09 22:25

manager   ~62094

I suggest that the "collapse" button (on the right) is treated on another ticket.
That's smething not related to the HTML editor, but to the question editor and how VueJS was moved out.

> What would be the solution for the people that upgrade to LS4.4.0 from LS3 and LS4.3 ?

We will mostly sure add a simple version upgrade script.
gabrieljenik

gabrieljenik

2021-02-12 16:05

manager   ~62217

For new installations this wasn't an issue.
Only when upgrading.

Mapping old values for default html editor to new values
https://github.com/LimeSurvey/LimeSurvey/pull/1758

> I suggest that the "collapse" button (on the right) is treated on another ticket.

Still pending. Will create a new ticket?
fajardas

fajardas

2021-02-12 17:56

reporter   ~62229

Hello,

cdorin, you are right, when i upgraded limesurvey to this version the HTML Editor settings from Global Settings is not enbled, when i enable it, the html editor appears.

many thanks.
ollehar

ollehar

2021-02-25 20:05

administrator   ~62538

https://github.com/LimeSurvey/LimeSurvey/pull/1758
gabrieljenik

gabrieljenik

2021-03-09 15:35

manager   ~62946

New PR: https://github.com/LimeSurvey/LimeSurvey/pull/1797
gabrieljenik

gabrieljenik

2021-03-11 18:06

manager   ~63315

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31312
lime_release_bot

lime_release_bot

2021-03-15 15:37

administrator   ~63374

Fixed in Release 4.4.13+210315

Related Changesets

LimeSurvey: master 70ef4838

2021-03-11 18:06:03

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17040: Question editor buttons dont appear and the button general settings "pull right " (#1797)

Mapping old values for default html editor to new values
Affected Issues
17040
mod - application/config/version.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-02-01 10:59 fajardas New Issue
2021-02-01 10:59 fajardas File Added: Screenshot_2021-02-01 LimeSurvey.png
2021-02-01 11:20 cdorin Priority none => normal
2021-02-01 11:20 cdorin Status new => confirmed
2021-02-01 11:20 cdorin Note Added: 61836
2021-02-09 22:25 gabrieljenik Note Added: 62094
2021-02-12 16:05 gabrieljenik Note Added: 62217
2021-02-12 16:07 gabrieljenik Issue cloned: 17088
2021-02-12 16:07 gabrieljenik Relationship added related to 17088
2021-02-12 17:56 fajardas Note Added: 62229
2021-02-12 17:56 fajardas File Added: Screenshot_2021-02-12 LimeSurvey.png
2021-02-25 20:05 ollehar Note Added: 62538
2021-03-09 15:35 gabrieljenik Note Added: 62946
2021-03-11 18:06 gabrieljenik Changeset attached => LimeSurvey master 70ef4838
2021-03-11 18:06 gabrieljenik Note Added: 63315
2021-03-11 18:06 gabrieljenik Assigned To => gabrieljenik
2021-03-11 18:06 gabrieljenik Resolution open => fixed
2021-03-15 15:37 lime_release_bot Note Added: 63374
2021-03-15 15:37 lime_release_bot Status confirmed => closed